require File.expand_path('../../extenders/block_avatar_extender', __FILE__)

class BlockAvatarOrigin < ActiveRecord::Base
  extend BlockAvatarExtender

  self.table_name = 'tb_block_avatar' # 彩虹块头像

  attr_accessible :track_id, :block_id, :comment_id, :uid, :avatar_path

  # track_id --- 声音id
  # block_id --- 第几块
  # comment_id --- 评论id
  # uid --- 用户id
  # avatar_path --- 用户头像

  validates :track_id, presence: true

  before_save do |r|
    unless r.id
      r.id = BlockAvatar.next_id
    end
  end

end
