class DiscoveryPage < ActiveRecord::Base
  self.table_name = "tb_discovery_page" #发现页配图表
  attr_accessible :img1, :img2, :img3, :mobile_type, :position, :img4, :img5, :title 

  validates_presence_of :mobile_type, message: "不能为空！"  

  def mobile_type_disp
    case self.mobile_type
    when 1
      "iphone"
    when 2
      "android"
    else
      ""
    end
  end
end
