class FollowerTagOrigin < ActiveRecord::Base
  # 关注标签 根据tname分表，记录依赖followings_tag
  self.table_name = 'tb_follow_tag' 

  attr_accessible :uid, :tag_id,
                  :tname, :cover_path
  
  # uid --- 用户id
  # tag_id --- 未使用
  # tname --- 标签
  # cover_path --- 标签图标

  validates :tname, presence: true
end
