require File.expand_path('../../extenders/followingx2_group_extender', __FILE__)

class Followingx2GroupOrigin < ActiveRecord::Base
  extend Followingx2GroupExtender

  self.table_name = 'tb_followingx2_group'  # 关注 一对多 分组

  attr_accessible :uid, :following_id, :following_group_id, :is_deleted

  # uid --- 用户id
  # following_id --- 关注id
  # following_group_id --- 分组id
  # is_deleted --- 未使用

  validates :uid, presence: true

  before_save do |r|
    unless r.id
      r.id = Followingx2Group.next_id
    end
  end

end
