class HumanCategory < ActiveRecord::Base
  self.table_name = 'tb_human_category' # 人的分类

  attr_accessible :name, :title, :parent_id, :order_num, :is_deleted, :icon_ios_low_path, :icon_ios_high_path, :icon_android_low_path, :icon_android_high_path, :is_display

  # name --- 分类名
  # title --- 显示标题
  # parent_id --- 父id
  # order_num --- 排序号
  # is_deleted --- 是否已删除
  # icon_ios_low_path --- ios低清图标
  # icon_ios_high_path --- ios高清图标
  # icon_android_low_path --- android低清图标
  # icon_android_high_path --- android高清图标
  # is_display --- 是否显示
  
end
