require File.expand_path('../inbox_node', __FILE__)
require File.expand_path('../inbox_origin', __FILE__)

class Inbox < InboxOrigin
  
  def self.shard(key)
    Object.const_get(InboxNode.seek(key).class_name)
  end

  def self.gtn(key)
    InboxNode.seek(key).table_name
  end
  
  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  before_save do |r|
    r.class.table_name = Inbox.gtn(r.to_uid)

    unless r.id
      r.id = Inbox.next_id
    end
  end

  before_destroy do |r|
    r.class.table_name = Inbox.gtn(r.to_uid)
  end

end
