require File.expand_path('../linkman_node', __FILE__)
require File.expand_path('../linkman_origin', __FILE__)

class Linkman < LinkmanOrigin
  
  def self.shard(key)
    Object.const_get(LinkmanNode.seek(key).class_name)
  end

  def self.gtn(key)
    LinkmanNode.seek(key).table_name
  end
  
  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

	before_save do |r|
    r.class.table_name = Linkman.gtn(r.uid)
    unless r.id
   	  r.id = Linkman.next_id
    end
  end

  before_destroy do |r|
  	r.class.table_name = Linkman.gtn(r.uid)
  end
  
end
