require File.expand_path('../lover_node', __FILE__)
require File.expand_path('../lover_origin', __FILE__)

class Lover < LoverOrigin
  
  def self.shard(key)
    Object.const_get(LoverNode.seek(key).class_name)
  end

  def self.gtn(key)
    LoverNode.seek(key).table_name
  end
  
  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  before_save do |r|
    r.class.table_name = Lover.gtn(r.track_id)
  end

  before_destroy do |r|
    r.class.table_name = Lover.gtn(r.track_id)
  end

end
