class OutLink < ActiveRecord::Base
  self.table_name = "tb_out_link" #外链配置
  attr_accessible :url, :operator, :platform, :tag

  validates :url, :tag, presence: true
  validates :tag, uniqueness: {message: "关键字已经存在"}
end
