class RecommendTag < ActiveRecord::Base
  self.table_name = 'tb_recommend_tag' # 全站推荐标签

  attr_accessible :tag_id, :position, :tname, :cover_path

  def sync_human_recommend
    HumanRecommendTag.destroy_all(tag_id: self.id)
    HumanRecommendCategoryTag.destroy_all(tag_id: self.id)
  end

  after_destroy do |r|
    r.sync_human_recommend
  end

end
