class RejectReason < ActiveRecord::Base
  self.table_name = 'tb_reject_reason' # 操作原因

  attr_accessible :target_type, :title, :content

  validates :title, presence: true
  validates_presence_of :target_type

  def s_target_type
    case self.target_type
      when 1
        '声音审核'
      when 2
        '标签审核'
    end
  end
end
