class Report < ActiveRecord::Base
  self.table_name = 'tb_report' # 举报
  attr_accessible :is_display, :title, :content_type
  
  # report_id   3: 举报
  validates_presence_of :title

  # is_display --- 是否显示
  # title --- 标题
  # content_type --- 类型 1:声音/专辑 /2:评论


  def is_display_disp
    case self.is_display
      when true
        "显示"
      when false
        "不显示"
      else
        ""
    end
  end

  def content_type_disp
    case self.content_type
      when 1
        "声音/专辑"
      when 2
        "评论"      
    end
  end

end
