require File.expand_path('../track_rich_node', __FILE__)
require File.expand_path('../track_rich_origin', __FILE__)

class TrackRich < TrackRichOrigin
  
  def self.shard(key)
    Object.const_get(TrackRichNode.seek(key).class_name)
  end

  def self.gtn(key)
    TrackRichNode.seek(key).table_name
  end

  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  before_save do |r|
    r.class.table_name = TrackRich.gtn(r.track_id)
    unless r.id
      r.id = TrackRich.next_id
    end
  end

  before_destroy do |r|
    r.class.table_name = TrackRich.gtn(r.track_id)
  end
  
end
