require File.expand_path('../track_set_rich_node', __FILE__)
require File.expand_path('../track_set_rich_origin', __FILE__)

class TrackSetRich < TrackSetRichOrigin
  
  def self.shard(key)
    Object.const_get(TrackSetRichNode.seek(key).class_name)
  end

  def self.gtn(key)
    TrackSetRichNode.seek(key).table_name
  end
  
  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  before_save do |r|
    r.class.table_name = TrackSetRich.gtn(r.track_set_id)
    unless r.id
      r.id = TrackSetRich.next_id
    end
  end

  before_destroy do |r|
    r.class.table_name = TrackSetRich.gtn(r.track_set_id)
  end

end
