require File.expand_path('../user_tag_node', __FILE__)
require File.expand_path('../user_tag_origin', __FILE__)

class UserTag < UserTagOrigin
  
  def self.shard(key)
    Object.const_get(UserTagNode.seek(key).class_name)
  end

  def self.gtn(key)
    UserTagNode.seek(key).table_name
  end
  
  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  before_save do |r|
    r.class.table_name = UserTag.gtn(r.uid)

    unless r.id
      r.id = UserTag.next_id
    end
  end

  before_destroy do |r|
    r.class.table_name = UserTag.gtn(r.uid)
  end

end
