require File.expand_path('../../extenders/user_tag_extender', __FILE__)

class UserTagOrigin < ActiveRecord::Base
  extend UserTagExtender

  # 我的常用标签
  self.table_name = 'tb_user_tag'

  attr_accessible :num, :tag, :uid

  # uid --- 用户id
  # tag --- 标签
  # num --- 权重
  
  validates :uid, presence: true

  before_save do |r|
    unless r.id
      r.id = UserTag.next_id
    end
  end

end
