class WeixinAccount < ActiveRecord::Base
	self.table_name = 'tb_weixin_account' #微信主播账户
  attr_accessible :help_content, :uid, :token, :welcome_title, :nickname, :is_closed, :url
  # attr_accessor :token

  validates_presence_of :uid, message: "不能为空"
  validates_uniqueness_of :uid, message: "已经存在"
end
