class Announcement < ActiveRecord::Base
  self.table_name = 'tb_announcement' # 公告
  attr_accessible :uid, :nickname, :avatar_path, :content, :begin_at, :end_at
  belongs_to :profile, foreign_key: :uid

  # uid --- 用户id
  # nickname --- 用户昵称
  # avatar_path --- 用户头像
  # content --- 内容
  # begin_at --- 开始于
  # end_at --- 结束于
end
