require File.expand_path('../block_avatar_node', __FILE__)
require File.expand_path('../block_avatar_origin', __FILE__)

class BlockAvatar < BlockAvatarOrigin

  def self.shard(key)
    Object.const_get(BlockAvatarNode.seek(key).class_name)
  end

  def self.gtn(key)
    BlockAvatarNode.seek(key).table_name
  end

  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end
  
  before_save do |r|
    r.class.table_name = BlockAvatar.gtn(r.track_id)

    unless r.id
      r.id = BlockAvatar.next_id
    end
  end

  before_destroy do |r|
    r.class.table_name = BlockAvatar.gtn(r.track_id)
  end

end
