class DelayedTrack < ActiveRecord::Base
  # 定时发布声音临时表
  self.table_name = 'tb_delayed_track'

  attr_accessible :is_publish,
                  :upload_source, 
                  :uid, :nickname, :avatar_path, :is_v, :human_category_id,
                  :title, :intro, 
                  :user_source, 
                  :category_id, 
                  :duration, 
                  :download_path, 
                  :play_path, :play_path_32, :play_path_64, :play_path_128, 
                  :transcode_state, 
                  :cover_path, 
                  :album_id, :album_title, 
                  :album_cover_path,
                  :tags, :ignore_tags, :extra_tags,
                  :singer, :singer_category, :author, 
                  :composer, :arrangement, :post_production, 
                  :lyric, :lyric_path, 
                  :language, :resinger, :announcer, 
                  :is_public, :access_password, 
                  :allow_download, :allow_comment, 
                  :is_crawler, :inet_aton_ip, :longitude, :latitude,
                  :music_category, :order_num, :is_pick,
                  :rich_intro, :short_intro,
                  :dig_status, :approved_at,
                  :is_deleted,
                  :mp3size, :mp3size_32, :mp3size_64,
                  :created_at, :updated_at, :id, :waveform, :upload_id,
                  :source_url, :status, :explore_height,
                  :fileid,
                  :delayed_album_id,
                  :publish_at,
                  :track_id,
                  :task_count_tag

  # fileid --- 文件id
  # delayed_album_id --- 定时发布专辑id
  # publish_at --- 发布时间
  # task_count_tag --- 统计发布用的参数
end
