class Focus < ActiveRecord::Base
  self.table_name = "tb_focus" # 焦点图
  attr_accessible :android_pic, :channel, :content_type, :end_time, 
  								:ios_pic, :long_title, :position, :short_title, :start_time, 
  								:status, :url, :web_pic, :num_type
  
  # ios_pic android_pic web_pic --- ios图 android图 web图
  # start_time end_time --- 开始时间 结束时间
  # long_title short_title --- 长标题 短标题
  # position --- 待放位置
  # url --- 跳转地址
  # status --- 发布状态  0：新建未发布  1：发布 2：下架
  # content_type --- 内容类型  1：用户 2：专辑 3：声音 4：链接
  # num_type --- 数量类型  1：多个 2：单个
  # channel --- 渠道 1：web 2：手机
end
