class FocusAlbum < ActiveRecord::Base
  self.table_name = "tb_focus_album" # 焦点图对应的专辑
  attr_accessible :album_id, :category_id, :cover_path, :focus_id, :intro, :is_v, :nickname, :title, :uid, :user_source
  
  # focus_id --- 焦点图id
  # album_id category_id cover_path title intro --- 专辑id 分类id 封面 标题 介绍
  # uid nickname is_v --- 专辑用户id 昵称 是否加V
  # user_source --- 专辑来源 1:原创 /2:采集
end
