class FocusTrack < ActiveRecord::Base
  self.table_name = "tb_focus_track" # 焦点图对应声音
  attr_accessible :album_id, :album_title, :category_id, :cover_path, :duration, 
  								:focus_id, :intro, :is_v, :nickname, :title, :track_id, :uid, :user_source,
  								:track_created_at, :play_path_64, :play_path_32, :album_cover_path, 
  								:small_logo
  
  # focus_id --- 焦点图id
  # track_id title intro cover_path --- 声音id 标题 简介 封面 
  # duration category_id --- 声音时长 分类id
  # uid nickname small_logo is_v --- 用户id 昵称 头像 是否加V
  # user_source --- 声音来源 1:原创/2:采集
  # track_created_at --- 声音创建时间
  # play_path_64 play_path_32 --- 声音播放地址
  # album_id album_title album_cover_path --- 专辑id 标题 封面

end
