require File.expand_path('../follower_node', __FILE__)
require File.expand_path('../follower_origin', __FILE__)

class Follower < FollowerOrigin
  
  def self.shard(key)
    Object.const_get(FollowerNode.seek(key).class_name)
  end

  def self.gtn(key)
    FollowerNode.seek(key).table_name
  end

  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  before_save do |r|
    r.class.table_name = Follower.gtn(r.following_uid)
  end

  before_destroy do |r|
    r.class.table_name = Follower.gtn(r.following_uid)
  end

end
