require File.expand_path('../follower_tag_node', __FILE__)
require File.expand_path('../follower_tag_origin', __FILE__)

class FollowerTag < FollowerTagOrigin
  
  def self.shard(key)
    Object.const_get(FollowerTagNode.seek(key).class_name)
  end

  def self.gtn(key)
    FollowerTagNode.seek(key).table_name
  end

  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  before_save do |r|
    r.class.table_name = FollowerTag.gtn(r.tname)
  end

  before_destroy do |r|
    r.class.table_name = FollowerTag.gtn(r.tname)
  end

end
