require File.expand_path('../followerx2_group_node', __FILE__)
require File.expand_path('../followerx2_group_origin', __FILE__)

class Followerx2Group < Followerx2GroupOrigin
  
  def self.shard(key)
    Object.const_get(Followerx2GroupNode.seek(key).class_name)
  end

  def self.gtn(key)
    Followerx2GroupNode.seek(key).table_name
  end
  
  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  before_save do |r|
    r.class.table_name = Followerx2Group.gtn(r.uid)
  end

  before_destroy do |r|
    r.class.table_name = Followerx2Group.gtn(r.uid)
  end

end
