require File.expand_path('../following_group_node', __FILE__)
require File.expand_path('../following_group_origin', __FILE__)

class FollowingGroup < FollowingGroupOrigin
  
  def self.shard(key)
    Object.const_get(FollowingGroupNode.seek(key).class_name)
  end

  def self.gtn(key)
    FollowingGroupNode.seek(key).table_name
  end
  
  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  before_save do |r|
    r.class.table_name = FollowingGroup.gtn(r.uid)

    unless r.id
      r.id = FollowingGroup.next_id
    end
  end

  before_destroy do |r|
    r.class.table_name = FollowingGroup.gtn(r.uid)
  end

end
