require File.expand_path('../followingx2_group_node', __FILE__)
require File.expand_path('../followingx2_group_origin', __FILE__)

class Followingx2Group < Followingx2GroupOrigin
  
  def self.shard(key)
    Object.const_get(Followingx2GroupNode.seek(key).class_name)
  end

  def self.gtn(key)
    Followingx2GroupNode.seek(key).table_name
  end
  
  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  before_save do |r|
    r.class.table_name = Followingx2Group.gtn(r.uid)

    unless r.id
      r.id = Followingx2Group.next_id
    end
  end

  before_destroy do |r|
    r.class.table_name = Followingx2Group.gtn(r.uid)
  end

end
