class HumanRecommendCategoryTagTrack < ActiveRecord::Base
  self.table_name = 'tb_human_recommend_category_tag_track' # 人工推荐分类标签声音

  attr_accessible :category_id, :tag_id, :tname, :track_id, :position, :begin_at, :end_at, 
                  :track_uid, :track_nickname, :title, :duration, 
                  :cover_path, :cover_path_small, :cover_path_middle, :cover_path_large, :cover_path_wide,
                  :tags, :intro, :play_path, :play_path_128, :play_path_64, :play_path_32, :download_path,
                  :track_created_at, :allow_download, :allow_comment, :album_id, :album_title, :album_cover_path
  belongs_to :track
  belongs_to :category
end
