class LatestTrack < ActiveRecord::Base
  self.table_name = 'tb_latest_track' # 用户最后更新声音
  attr_accessible :album_id, :album_title, :nickname, :track_id, :track_title, :uid, :track_created_at, :is_resend, :track_cover_path, :is_v, :upload_id, :waveform

  # is_resend --- 是否转发
  # album_id album_title --- 专辑id 标题
  # uid nickname is_v --- 用户id 昵称 是否加V
  # track_id track_title track_created_at track_cover_path --- 声音id 标题 创建时间 封面
  # upload_id waveform --- 声音上传号 波形号
end
