require File.expand_path('../../extenders/linkman_extender', __FILE__)

class LinkmanOrigin < ActiveRecord::Base
  extend LinkmanExtender

	self.table_name = 'tb_linkman' # 联系人
  
  attr_accessible :uid, :nickname, :avatar_path, 
                  :linkman_uid, :linkman_nickname, :linkman_avatar_path,
                  :no_read_count, :last_id,
                  :updated_at, :last_chat_at, :last_chat_content

  # uid nickname avatar_path --- 用户id 昵称 头像 
  # linkman_uid linkman_nickname linkman_avatar_path --- 联系人id 昵称 头像
  # no_read_count --- 未读数
  # last_id last_chat_at last_chat_content --- 最新一条聊天id 时间 内容

  validates :uid, presence: true

  before_save do |r|
    unless r.id
      r.id = Linkman.next_id
    end
  end

end
