require File.expand_path('../lover_album_node', __FILE__)
require File.expand_path('../lover_album_origin', __FILE__)

class LoverAlbum < LoverAlbumOrigin

	def self.shard(key)
    Object.const_get(LoverAlbumNode.seek(key).class_name)
  end

  def self.gtn(key)
    LoverAlbumNode.seek(key).table_name
  end

  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  before_save do |r|
    r.class.table_name = LoverAlbum.gtn(r.album_id)
	end

	before_destroy do |r|
		r.class.table_name = LoverAlbum.gtn(r.album_id)
	end

end
