class News < ActiveRecord::Base
	self.table_name = "tb_news"  #新闻链接
  attr_accessible :is_reship, :link, :time_at, :title, :website

  validates_presence_of :title, message: "新闻标题不能为空"
  validates_presence_of :website, message: "网站名称不能为空"
  validates_presence_of :link, message: "链接不能为空"
  validates_presence_of :time_at, message: "刊登时间不能为空"

  # link --- 链接
  # time_at --- 发表时间
  # title --- 标题
  # is_reship --- 是否转发
  # website --- 转发自

end
