class Special < ActiveRecord::Base
  self.table_name = 'tb_special' # 专题
  attr_accessible :content_type, :cover_path_big, :cover_path_small, :intro, :is_goto_index, :is_publish, :title, :uid, :released_at

  # content_type --- 1:专辑 2:声音
  # cover_path_big --- 大图
  # cover_path_small --- 小图
  # intro --- 导语
  # is_goto_index --- 是否参与首页显示
  # is_publish --- 是否发布
  # title --- 标题
  # uid --- 小编uid
  # released_at --- 第一次发布于时间

  ContentType = {album:1,track:2}

end
