require File.expand_path('../track_node', __FILE__)
require File.expand_path('../track_origin', __FILE__)

class Track < TrackOrigin

  def self.shard(key)
    Object.const_get(TrackNode.seek(key).class_name)
  end

  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  def self.gtn(key)
    TrackNode.seek(key).table_name
  end

  before_save do |r|
    unless r.id
      r.id = Track.next_id
    end
    r.class.table_name = Track.gtn(r.id)
  end

  before_destroy do |r|
    r.class.table_name = Track.gtn(r.id)
  end

end
