require File.expand_path('../track_in_record_node', __FILE__)
require File.expand_path('../track_in_record_origin', __FILE__)

class TrackInRecord < TrackInRecordOrigin

  def self.shard(key)
    Object.const_get(TrackInRecordNode.seek(key).class_name)
  end

  def self.gtn(key)
    TrackInRecordNode.seek(key).table_name
  end

  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  before_save do |r|
    r.class.table_name = TrackInRecord.gtn(r.track_id)
  end

  before_destroy do |r|
    r.class.table_name = TrackInRecord.gtn(r.track_id)
  end

end
