require File.expand_path('../track_picture_node', __FILE__)
require File.expand_path('../track_picture_origin', __FILE__)


class TrackPicture < TrackPictureOrigin

  def self.shard(key)
    Object.const_get(TrackPictureNode.seek(key).class_name)
  end

  def self.gtn(key)
    TrackPictureNode.seek(key).table_name
  end

  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  before_save do |r|
    r.class.table_name = TrackPicture.gtn(r.track_id)

    unless r.id
      r.id = TrackPicture.next_id
    end
  end

  before_destroy do |r|
    r.class.table_name = TrackPicture.gtn(r.track_id)
  end

end
