require File.expand_path('../../extenders/track_picture_extender', __FILE__)

class TrackPictureOrigin < ActiveRecord::Base
  extend TrackPictureExtender

  self.table_name = 'tb_track_picture' # 声音图片

  attr_accessible :order_num, :picture_path, :track_id, :uid, :explore_height

  validates :track_id, presence: true

  before_save do |r|
    unless r.id
      r.id = TrackPicture.next_id
    end
  end

  after_save do |r|
    RICKREDIS.del("t_e_#{r.track_id}_2")
  end

  after_destroy do |r|
    RICKREDIS.del("t_e_#{r.track_id}_2")
  end

end
