require File.expand_path('../track_set_node', __FILE__)
require File.expand_path('../track_set_origin', __FILE__)

class TrackSet < TrackSetOrigin

  def self.shard(key)
    Object.const_get(TrackSetNode.seek(key).class_name)
  end

  def self.gtn(key)
    TrackSetNode.seek(key).table_name
  end

  def self.stn(key)
    self.table_name = self.gtn(key)
    self
  end

  before_save do |r|
    r.class.table_name = TrackSet.gtn(r.id)
  end

  before_destroy do |r|
    r.class.table_name = TrackSet.gtn(r.id)
  end

end
