require File.expand_path('../../extenders/track_set_rich_extender', __FILE__)

class TrackSetRichOrigin < ActiveRecord::Base
  extend TrackSetRichExtender

  # 专辑富文本 根据track_set_id分表
  self.table_name = 'tb_track_set_rich'

  attr_accessible :track_set_id, 
                  :rich_intro,
                  :mid_intro
  
  # track_set_id --- 专辑id
  # rich_intro --- 带格式完整介绍
  # mid_intro --- 未使用
  
  validates :track_set_id, presence: true

  before_save do |r|
    unless r.id
      r.id = TrackSetRich.next_id
    end
  end
end
