class UserLog < ActiveRecord::Base
  self.table_name = "tb_user_log" #主播记录
  attr_accessible :content, :level, :operator, :state, :uid

  # 等级显示css效果
  def level_disp
    case self.level
    when 2
      "label-success" 
    when 3
      "label-warning"
    when 4
      "label-important" 
    when 5 
      "label-info"
    when 6
      "label-inverse" 
    else 
      ""
    end
  end

  # 是否断更css效果
  def state_disp
    case self.state
    when true
      "info" 
    when false
      "success"    
    end
  end

end
